Quassel IRC - Feature #734

Retrieve unread highlights on attach | Non-linear backlog
07/02/2009 10:03 PM - hxal

Status: New Start date: 07/02/2009
Priority: Low Due date:

Assignee: % Done: 50%
Category: Quassel Client Estimated time: 0.00 hour

Target version:
0S: Any

Description
Additionally retrieve all unread highlights that didn't make it into the backlog due to the user-set size constraints.

Option 1 - Put them in the chat monitor but not in their buffers
Option 2 - Put them in their buffers also, but that makes the buffers non-linear (they'll have gaps). You could provide some interactive

widget in place of gaps between non-consequent messages that allowed requesting the backlog for the gap. (Or even better, allowed
requesting X lines north or south of the gap.)

Related issues:
Related to Quassel IRC - Feature #1121: Track highlights (Away log) server-side New 12/04/2011

History

#1 - 01/26/2010 01:39 PM - sOundt3ch

hxal wrote:
Additionally retrieve all unread highlights that didn't make it into the backlog due to the user-set size constraints.
Option 1 - Put them in the chat monitor but not in their buffers
Option 2 - Put them in their buffers also, but that makes the buffers non-linear (they'll have gaps). You could provide some interactive widget in

place of gaps between non-consequent messages that allowed requesting the backlog for the gap. (Or even better, allowed requesting X lines
north or south of the gap.)

+1 for this request. I'd love option 2.

#2 - 02/14/2010 08:19 PM - Aleister

Was thinking of something similar but it was more along the lines of "filtering highlighted messages from the backlog to the chat monitor", so you don't
have to dig around in various channels to figure out who,why and when you where highlighted.

So if you combine them with Option 1.

That would give you an overview of all the highlights you have received since you disconnected.

1 question would be, if it would be smart to make another query to the database after or before the initial backlog fetching or just filtering the backlog
client side.

ill have to dig around in the tables to figure out how the data is organized and how highlighted messages are "marked".

#3 - 03/24/2012 05:22 PM - firesock
- File 0001-Add-option-for-chat-monitor-to-look-in-the-backlog.patch added

Attaching a patch that adds an option for the chat monitor to filter from the backlog. This doesn't solve the issue with not looking pre-backlog, but does
make it easier to work out what was said while disconnected.

#4 - 02/18/2014 10:37 PM - Sputnick
- % Done changed from 0 to 50

Patch applied in 69995f44c42f1f324cdb075454d440df7626d42a

Files

0001-Add-option-for-chat-monitor-to-look-in-the-backlog.patch 7.1 KB 03/24/2012 firesock
